package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * cps_usr_wechat微信用户对象 cps_meeting_usr
 *
 * @author ruoyi
 * @date 2024-08-18
 */
public class CpsMeetingUsr extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 文件路径
     */
    @Excel(name = "用户名")
    private String usrName;

    /**
     * 文件名称
     */
    @Excel(name = "手机号")
    private String tel;

    /**
     * 微信开放id
     */
    @Excel(name = "微信开放id")
    private String openId;

    /**
     * 与会人员企业
     */
    @Excel(name = "与会人员单位")
    private Long enterpriseId;

    /**
     * 参会行程信息
     */
    @Excel(name = "参会行程信息")
    private Long tripId;

    @Excel(name = "参会单位信息")
    private String enterpriseName;
    @Excel(name = "行程名称")
    private String tripName;

    private String avatarUrl;
    @Excel(name = "性别")
    private String sex;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUsrName(String usrName) {
        this.usrName = usrName;
    }

    public String getUsrName() {
        return usrName;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getTel() {
        return tel;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setTripId(Long tripId) {
        this.tripId = tripId;
    }

    public Long getTripId() {
        return tripId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getTripName() {
        return tripName;
    }

    public void setTripName(String tripName) {
        this.tripName = tripName;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("usrName", getUsrName()).append("tel", getTel()).append("openId", getOpenId()).append("enterpriseId", getEnterpriseId()).append("tripId", getTripId()).append("updateTime", getUpdateTime()).append("createTime", getCreateTime()).append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
